/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-04-12
 * 描述            ：材质判定记录表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.QcmJudgePhysicalMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_JUDGE_PHYSICAL", namespace=QcmJudgePhysicalMapper.class)
public class QcmJudgePhysical extends BaseVO implements Serializable {
	/** 
	 * 材质判定记录号（PHY+两位年月日+4位流水号,PHY1711100001）
	 */ 
	@Id
	private String phy_id;
	public String getPhy_id() {
		return this.phy_id;
	}
	public void setPhy_id(String phy_id) {
		this.phy_id = phy_id;
	}

	/** 
	 * 试样号
	 */ 
	@Column
	private String smp_no;
	public String getSmp_no() {
		return this.smp_no;
	}
	public void setSmp_no(String smp_no) {
		this.smp_no = smp_no;
	}

	/** 
	 * 炉号
	 */ 
	@Column
	private String heat_no;
	public String getHeat_no() {
		return this.heat_no;
	}
	public void setHeat_no(String heat_no) {
		this.heat_no = heat_no;
	}

	/** 
	 * 轧批号
	 */ 
	@Column
	private String batch_no;
	public String getBatch_no() {
		return this.batch_no;
	}
	public void setBatch_no(String batch_no) {
		this.batch_no = batch_no;
	}

	/** 
	 * 检验号
	 */ 
	@Column
	private String inspection_lot;
	public String getInspection_lot() {
		return this.inspection_lot;
	}
	public void setInspection_lot(String inspection_lot) {
		this.inspection_lot = inspection_lot;
	}
	/**
	 * 母板号----2019.1.8
	 */
	@Column
	private String board_no;
	public String getBoard_no() {
		return board_no;
	}
	/** 
	 * DESIGN_KEY（来源QCM_JHY_SAMPLE_R_ORD中试样号对应的DESIGN_KEY）
	 */ 
	@Column
	private String design_key;
	public String getDesign_key() {
		return this.design_key;
	}
	public void setDesign_key(String design_key) {
		this.design_key = design_key;
	}

	/** 
	 * 产品规范码
	 */ 
	@Column
	private String psc;
	public String getPsc() {
		return this.psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}


	/** 
	 * 产线代码
	 */ 
	@Column
	private String pline_code;
	public String getPline_code() {
		return this.pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}

	/** 
	 * 产线名称
	 */ 
	@Column
	private String pline_name;
	public String getPline_name() {
		return this.pline_name;
	}
	public void setPline_name(String pline_name) {
		this.pline_name = pline_name;
	}

	/** 
	 * CONTRACT_LINE_NO
	 */ 
	@Column
	private String contract_line_no;
	public String getContract_line_no() {
		return this.contract_line_no;
	}
	public void setContract_line_no(String contract_line_no) {
		this.contract_line_no = contract_line_no;
	}

	/** 
	 * 判定结果代码
	 */ 
	@Column
	private String phy_result_code;
	public String getPhy_result_code() {
		return this.phy_result_code;
	}
	public void setPhy_result_code(String phy_result_code) {
		this.phy_result_code = phy_result_code;
	}

	/** 
	 * 判定结果描述
	 */ 
	@Column
	private String phy_result_desc;
	public String getPhy_result_desc() {
		return this.phy_result_desc;
	}
	public void setPhy_result_desc(String phy_result_desc) {
		this.phy_result_desc = phy_result_desc;
	}


	/** 
	 * 判定备注
	 */ 
	@Column
	private String phy_memo;
	public String getPhy_memo() {
		return this.phy_memo;
	}
	public void setPhy_memo(String phy_memo) {
		this.phy_memo = phy_memo;
	}

	/** 
	 * 判定人
	 */ 
	@Column
	private String judge_name;
	public String getJudge_name() {
		return this.judge_name;
	}
	public void setJudge_name(String judge_name) {
		this.judge_name = judge_name;
	}

	/** 
	 * 判定时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date judge_ttime;
	public Date getJudge_ttime() {
		return this.judge_ttime;
	}
	public void setJudge_ttime(Date judge_ttime) {
		this.judge_ttime = judge_ttime;
	}
	
	/** 
	 * 认证机构代码
	 */ 
	@Column
	private String cert_inst_code;
	public String getCert_inst_code() {
		return cert_inst_code;
	}
	public void setCert_inst_code(String cert_inst_code) {
		this.cert_inst_code = cert_inst_code;
	}
	
	/** 
	 * 认证机构名称
	 */ 
	@Column
	private String cert_inst_name;
	public String getCert_inst_name() {
		return cert_inst_name;
	}
	public void setCert_inst_name(String cert_inst_name) {
		this.cert_inst_name = cert_inst_name;
	}
	
	/** 
	 * 试样类型代码
	 */ 
	@Column
	private String smp_type_code;
	
	public String getSmp_type_code() {
		return smp_type_code;
	}
	public void setSmp_type_code(String smp_type_code) {
		this.smp_type_code = smp_type_code;
	}

	/** 
	 * 试样类型名称
	 */ 
	@Column
	private String smp_type_name;
	public String getSmp_type_name() {
		return smp_type_name;
	}
	public void setSmp_type_name(String smp_type_name) {
		this.smp_type_name = smp_type_name;
	}
	/**
	 * 销售订单号
	 */
	@Column
    private String order_no;
	public String getOrder_no() {
		return order_no;
	}
	public void setOrder_no(String order_no) {
		this.order_no = order_no;
	}
	
	private String object_no;
	private String materailcoilno;
	private String std_name;
	private String steel_name;
	private String order_memo;
	private String psc_desc;
	private String spec;
	public String getObject_no() {
		return object_no;
	}
	public void setObject_no(String object_no) {
		this.object_no = object_no;
	}
	public String getMaterailcoilno() {
		return materailcoilno;
	}
	public void setMaterailcoilno(String materailcoilno) {
		this.materailcoilno = materailcoilno;
	}
	public String getStd_name() {
		return std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	public String getSteel_name() {
		return steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}
	public String getOrder_memo() {
		return order_memo;
	}
	public void setOrder_memo(String order_memo) {
		this.order_memo = order_memo;
	}
	public String getPsc_desc() {
		return psc_desc;
	}
	public void setPsc_desc(String psc_desc) {
		this.psc_desc = psc_desc;
	}
	public String getSpec() {
		return spec;
	}
	public void setSpec(String spec) {
		this.spec = spec;
	}
	 
}
